##### basic_socket_acceptor::close (2 of 2 overloads)

Close the acceptor.

    void close(
        asio::error_code & ec);

This function is used to close the acceptor. Any asynchronous accept operations will be cancelled immediately.

A subsequent call to `open()` is required before the acceptor can again be used to again perform socket accept operations.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::error_code ec;
    acceptor.close(ec);
    if (ec)
    {
      // An error occurred.
    }